#!/bin/bash

mkdir -p /data/log/dir-permissions/
LOG="/data/log/dir-permissions/dirlog.${1}"

output () {
	echo $*
	echo $* >> $LOG
}

output "==> Setting Sticky Bit to all directories with permission 777"

output "==> 1. Setting Sticky Bit for directories inside /data"
output "$(sudo find /data -type d -perm 777 -print -exec chmod +t {} \;)"

output "==> 2. Setting Sticky Bit for directories inside /opt/ECX"
output "$(sudo find /opt/ECX -type d -perm 777 -print -exec chmod +t {} \;)"

output "==> 3. Setting Sticky Bit for directories inside /opt/adminconsole"
output "$(sudo find /opt/adminconsole -type d -perm 777 -print -exec chmod +t {} \;)"
